Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360894 - Print errors and warnings to stderr
Summary: Print errors and warnings to stderr
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: firewalld
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Thomas Woerner
QA Contact: Tomas Dolezal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-27 18:18 UTC by Thomas Woerner
Modified: 2016-11-03 21:03 UTC (History)
1 user (show)

Fixed In Version: firewalld-0.4.3.2-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 21:03:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2597 normal SHIPPED_LIVE Moderate: firewalld security, bug fix, and enhancement update 2016-11-03 12:11:47 UTC

Description Thomas Woerner 2016-07-27 18:18:19 UTC
Description of problem:
Errors and warnings are not printed on stderr, but stdout. This is not expected behaviour.

Version-Release number of selected component (if applicable):
scratch pre-build for 7.3 based on firewalld-0.4.3.2-1

How reproducible:
always

Steps to Reproduce:
1../firewall-cmd --remove-service=foo > /dev/null

Actual results:
Nothing

Expected results:
Error: INVALID_SERVICE: foo

Comment 1 Thomas Woerner 2016-07-27 18:19:28 UTC
Granting devel-ack for 7.3.

Comment 5 Thomas Woerner 2016-07-28 11:44:33 UTC
An additional upstream fix is needed to hide errors and warnings printed to stderr in the firewalld test suite:

https://github.com/t-woerner/firewalld/commit/560a0e4e9f66da97ceeb69f295a989251e86a342

Comment 7 Thomas Woerner 2016-08-15 11:02:40 UTC
I think it would be good to add these two additional fixes for systems, where firewalld.conf is missing or has been removed:

firewall.core.logger: Warnings should be printed to stderr per default
https://github.com/t-woerner/firewalld/commit/db98f3b50301027cc822c87ffdc1a75671e9486b

test-suite: Ignore stderr to get default zone also for missing firewalld.conf
https://github.com/t-woerner/firewalld/commit/c51c0ef4dc7e440b0bc2d846f9810aa366699697

The first patch makes the behaviour consistent to firewall.command and the second pipes the stderr output to /dev/null. With these two patches the offline test suite is functional if firewalld.conf is missing.

Comment 12 errata-xmlrpc 2016-11-03 21:03:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2597.html


Note You need to log in before you can comment on or make changes to this bug.